/*
 * Sysinfo.java
 *
 * Created on 2004/02/01, 19:47
 */

/**
 *
 * @author  miwa
 */
public class Sysinfo {
   String[] sysPropertys = {
      "java.awt.fonts",
      "java.awt.graphicsenv",
      "java.awt.printerjob",
      "java.class.path",                // Java class path                  Java ̃NX̃pX 
      "java.class.version",             // Java class format version number Java ̃NX̃tH[}bgo[Wio[ 
      "java.ext.dirs",
      "java.home",                      // Java installation directory      Java ̃CXg[fBNg 
      "java.io.tmpdir",
      "java.library.path",
      "java.runtime.name",
      "java.runtime.version",
      "java.specification.name",        // Java Runtime Environment specification name 
      "java.specification.vendor",      // Java Runtime Environment specification vendor 
      "java.specification.version",     // Java Runtime Environment specification version 
      "java.vendor",                    // Java Runtime Environment vendor  Java ̃x_[̕ 
      "java.vendor.url",                // Java vendor URL                  Java ̃x_[ URL 
      "java.vendor.url.bug",
      "java.version",                   // Java Runtime Environment version Java ̃o[Wio[ 
      "java.vm.info",
      "java.vm.name",                   // Java Virtual Machine implementation name 
      "java.vm.specification.name",     // Java Virtual Machine specification name 
      "java.vm.specification.vendor",   // Java Virtual Machine specification vendor 
      "java.vm.specification.version",  // Java Virtual Machine specification version 
      "java.vm.vendor",                 // Java Virtual Machine implementation vendor 
      "java.vm.version",                // Java Virtual Machine implementation version 
      "awt.toolkit",
      "file.encoding",
      "file.encoding.pkg",
      "file.separator",                 // File separator ("/" on UNIX)     t@C (UNIX ł "/") 
      "line.separator",                 // Line separator ("\n" on UNIX)    C (UNIXł "\n") 
      "os.arch",                        // Operating system architecture    OS A[LeN` 
      "os.name",                        // Operating system name            OS 
      "os.version",                     // Operating system version         OS o[W  
      "path.separator",                 // Path separator (":" on UNIX)     pX (UNIX ł ":")
      "sun.boot.class.path",
      "sun.boot.library.path",
      "sun.cpu.endian",
      "sun.cpu.isalist",
      "sun.io.unicode.encoding",
      "user.dir",                       // User's current working directory  [Ǔ݂̍ƃfBNg 
      "user.home",                      // User's home directory            [Uz[fBNg 
      "user.language",
      "user.name",                      // User's account name              [UAJEg 
      "user.region",
      "user.timezone"
   };    
    /** Creates a new instance of Sysinfo */
    public Sysinfo() {
    }

    public String getInfo() {
      java.lang.StringBuffer sb = new java.lang.StringBuffer();
      try {
         sb.append("System information\n");
         for (int i = 0; i < sysPropertys.length; i++) {
             String s = System.getProperty(sysPropertys[i]);
             sb.append(sysPropertys[i] + " = ");
             if ("line.separator" == sysPropertys[i]) {
                if (s != null) {
                   sb.append("[");
                   if (-1 != s.lastIndexOf("\r")) sb.append("\\r");
                   if (-1 != s.lastIndexOf("\n")) sb.append("\\n");
                   sb.append("]\n");
                } else {
                   sb.append("?????\n");
                }
             } else {
                if (s != null) sb.append( s + "\n");
                else           sb.append("?????\n");
             }
         }
      } catch(SecurityException e) {  // ݂̃XbhVXevpeBɃANZXłȂꍇ
         System.err.println("݂̃Xbh̓VXevpeBɃANZXł܂B");
         System.err.println(e.getMessage());
      }
      return sb.toString();
    }    
}
